# 2048

A school project

To build, you need following developement dependencies: `meson`, `sdl2`, `sdl2_image`, `sdl2_ttf`, `ncurses`.
You can get these dependecies the following way:

## Arch Linux

```sh
sudo pacman -S meson sdl2 sdl2_image sdl2_ttf ncurses
```

## Ubuntu

```sh
sudo apt install meson libsdl2-dev libsdl2-image-dev libsdl2-ttf-dev ncurses-dev
```

# Builing and Running

To build, copy paste following:

```sh
meson builddir
meson compile -C builddir
```

To run, run:

```sh
./builddir/src/2048
```

# Usage

You can pass `--help` as an command line argument to print help message. You can force incomplete TUI mode that exists for a demonstration of portability and independence on SDL. This TUI mode is incomplete only because it's missing few UI elements and not because it is not feasible. You can also force other sizes of the game area (square ones are recommended).

# Note

This project uses open source font. You can find the font licence file in the resource folder.